MONGOC_APM_COMMAND_STARTED_GET_SERVICE_ID(3)

NAME
mongoc_apm_command_started_get_service_id - mongoc_apm_command_started_get_service_id()

SYNOPSIS

        const bson_oid_t *
        mongoc_apm_command_started_get_service_id (
           const mongoc_apm_command_started_t *event);

Returns this event's service ID, which identifies the MongoDB service behind a load balancer, or NULL if not connected to a load balanced cluster.

PARAMETERS

    •   event: A mongoc_apm_command_started_t.

RETURNS

A bson_oid_t that should not be modified or freed or NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc